"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "useDefault", {
  enumerable: true,
  get: function get() {
    return _useDefault.default;
  }
});
Object.defineProperty(exports, "POSTAG", {
  enumerable: true,
  get: function get() {
    return _POSTAG.POSTAG;
  }
});
Object.defineProperty(exports, "getPOSTagTranslator", {
  enumerable: true,
  get: function get() {
    return _POSTAG.getPOSTagTranslator;
  }
});
Object.defineProperty(exports, "cnPOSTag", {
  enumerable: true,
  get: function get() {
    return _POSTAG.cnPOSTag;
  }
});
Object.defineProperty(exports, "enPOSTag", {
  enumerable: true,
  get: function get() {
    return _POSTAG.enPOSTag;
  }
});
Object.defineProperty(exports, "modules", {
  enumerable: true,
  get: function get() {
    return _module.modules;
  }
});
Object.defineProperty(exports, "Module", {
  enumerable: true,
  get: function get() {
    return _module.Module;
  }
});
Object.defineProperty(exports, "Tokenizer", {
  enumerable: true,
  get: function get() {
    return _module.Tokenizer;
  }
});
Object.defineProperty(exports, "Optimizer", {
  enumerable: true,
  get: function get() {
    return _module.Optimizer;
  }
});
Object.defineProperty(exports, "CHS_NAMES", {
  enumerable: true,
  get: function get() {
    return _module.CHS_NAMES;
  }
});
Object.defineProperty(exports, "ChsNameTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.ChsNameTokenizer;
  }
});
Object.defineProperty(exports, "DictOptimizer", {
  enumerable: true,
  get: function get() {
    return _module.DictOptimizer;
  }
});
Object.defineProperty(exports, "EmailOptimizer", {
  enumerable: true,
  get: function get() {
    return _module.EmailOptimizer;
  }
});
Object.defineProperty(exports, "PunctuationTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.PunctuationTokenizer;
  }
});
Object.defineProperty(exports, "URLTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.URLTokenizer;
  }
});
Object.defineProperty(exports, "ChsNameOptimizer", {
  enumerable: true,
  get: function get() {
    return _module.ChsNameOptimizer;
  }
});
Object.defineProperty(exports, "DatetimeOptimizer", {
  enumerable: true,
  get: function get() {
    return _module.DatetimeOptimizer;
  }
});
Object.defineProperty(exports, "DictTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.DictTokenizer;
  }
});
Object.defineProperty(exports, "ForeignTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.ForeignTokenizer;
  }
});
Object.defineProperty(exports, "SingleTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.SingleTokenizer;
  }
});
Object.defineProperty(exports, "WildcardTokenizer", {
  enumerable: true,
  get: function get() {
    return _module.WildcardTokenizer;
  }
});
Object.defineProperty(exports, "pangu", {
  enumerable: true,
  get: function get() {
    return _knowledge.pangu;
  }
});
Object.defineProperty(exports, "panguExtend1", {
  enumerable: true,
  get: function get() {
    return _knowledge.panguExtend1;
  }
});
Object.defineProperty(exports, "panguExtend2", {
  enumerable: true,
  get: function get() {
    return _knowledge.panguExtend2;
  }
});
Object.defineProperty(exports, "names", {
  enumerable: true,
  get: function get() {
    return _knowledge.names;
  }
});
Object.defineProperty(exports, "wildcard", {
  enumerable: true,
  get: function get() {
    return _knowledge.wildcard;
  }
});
Object.defineProperty(exports, "synonym", {
  enumerable: true,
  get: function get() {
    return _knowledge.synonym;
  }
});
Object.defineProperty(exports, "stopword", {
  enumerable: true,
  get: function get() {
    return _knowledge.stopword;
  }
});
Object.defineProperty(exports, "dicts", {
  enumerable: true,
  get: function get() {
    return _knowledge.dicts;
  }
});
Object.defineProperty(exports, "synonyms", {
  enumerable: true,
  get: function get() {
    return _knowledge.synonyms;
  }
});
Object.defineProperty(exports, "stopwords", {
  enumerable: true,
  get: function get() {
    return _knowledge.stopwords;
  }
});
exports.default = void 0;

var _Segment = _interopRequireDefault(require("./Segment"));

var _useDefault = _interopRequireDefault(require("./useDefault"));

var _POSTAG = require("./POSTAG");

var _module = require("./module");

var _knowledge = require("./knowledge");

var _default = _Segment.default;
exports.default = _default;